import request from '@/utils/request'
import { exportExcel, exportCsv } from '@/utils/filedown'

export function _getOperationGroups(data) {
  return request({
    url: '/UserWork/GetOperationGroups',
    method: 'post',
    data: data,
    timeout: 10000
  })
}

export function _outUserOperationInfos(data) {
  exportExcel('/UserWork/OutUserOperationInfos', data, 'post')
}

export function _getOperationLogs(data) {
  return request({
    url: '/UserWork/GetOperationLogs',
    method: 'post',
    data: data,
    timeout: 10000
  })
}

export function _outOperationLogs(data) {
  exportCsv('/UserWork/OutOperationLogs', data, 'post')
}

export function _getWeightingLogs(data) {
  return request({
    url: '/UserWork/GetWeightingLogs',
    method: 'post',
    data: data,
    timeout: 10000
  })
}

export function _outWeightingLogs(data) {
  exportExcel('/UserWork/OutWeightingLogs', data, 'post')
}
